#
# spec file for package suselinux-userguide_en (Version 9.1.0.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         suselinux-userguide_en
%define my_lang en
%define my_prov_obs qconfig_%{my_lang} qappl_%{my_lang}
%define verbose_name SuSE-Linux-Userguide
%define my_supported_archs x86_64 %ix86 ia64
Version:      9.1.0.4
Release:      1.3
Source:       %{name}-%{version}.tar.bz2
# Source1:      decomment.pl
Source2:      %{name}-%{version}.pdf
Source3:      %{name}.desktop.in
Source4:      %{name}-%{version}-desktop.tar.bz2
Obsoletes:    %{my_prov_obs}
Provides:     %{my_prov_obs}
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Documentation/SuSE
License:      Unknown, Other License(s), see package
Summary:      SuSE Linux Userguide (English)
PreReq:       /bin/rm /bin/ln
# ExclusiveArch: x86_64 %ix86 ia64
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual
%define MYDOC %{_defaultdocdir}/%{name}
%define TEXDIR /usr/share/texmf/tex/latex/susebook

%description
SuSE Linux Userguide (English).



%package pdf
Group:        Documentation/SuSE
License:      Unknown, Other License(s), see package
PreReq:       /bin/rm /bin/ln
Summary:      SuSE Linux Userguide (English) - PDF

%description pdf
SuSE Linux Userguide (English) in PDF format.



%prep
%ifarch %{my_supported_archs}
%setup -c -a 0 -q -n %{name}-%{version}
%setup  -n %{name}-%{version} -D -T -a 4
# %patch -p 1 -P 2
%else
cat <<EOF >README.SuSE
There is no %name for archs != %{my_supported_archs}
EOF
%endif

%build
%ifarch %{my_supported_archs}
# lang=$(echo %{name} | sed 's:.*_\(.*\):\1:')
cp %{S:2} %{verbose_name}-%{version}.pdf
find . -name CVS -o -name '.cvsignore' | xargs rm -fr
%endif

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
%ifarch %{my_supported_archs}
%define my_desktopdir /usr/share/susehelp/meta/%{name}
mkdir -p $RPM_BUILD_ROOT%{my_desktopdir}
id=%{name}
id=${id//_}
sed "s|@defaultdocdir@|%{_defaultdocdir}|
s|@name@|%{name}|
s|@id@|$id|" %{S:3} >$RPM_BUILD_ROOT%{my_desktopdir}/.directory
pushd desktop
for f in $(find . -name '*desktop'); do
  # dir=${f/\.\/}
  # dir=${dir%/*}
  # [ -d $dir ] && dir=/${dir} || dir=""
  # thus far, ${dir} component is not required
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/html|
s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
done
for f in $(find . -name '.directory'); do
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/html|
s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
done
cp -a . $RPM_BUILD_ROOT%{my_desktopdir}/
popd
%endif
#
%ifarch %{my_supported_archs}
#

%post pdf
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  ln -s %{verbose_name}-%{version}.pdf %{verbose_name}.pdf
popd >/dev/null
fi

%preun pdf
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  popd >/dev/null
fi
%endif

%clean
rm -fr $RPM_BUILD_ROOT

%files pdf
%defattr(-, root, root)
%dir %{_defaultdocdir}
%ifarch %{my_supported_archs}
%doc %{verbose_name}-%{version}.pdf
%else
%doc README.SuSE
%endif

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}
%ifarch %{my_supported_archs}
%doc html
%{my_desktopdir}
%dir %{_datadir}/susehelp
%dir %{_datadir}/susehelp/meta
%else
%doc README.SuSE
%endif

%changelog -n suselinux-userguide_en
* Fri Aug 06 2004 - ke@suse.de
- Sync .desktop files with HTML documents; fix provided by Thomas
  Schraitle [#43471].
* Thu Apr 15 2004 - ke@suse.de
- Add missing screenshots; reported by Martin Sommer [# 38752].
* Wed Apr 07 2004 - cschum@suse.de
- Fix desktop files [# 38583].
* Thu Apr 01 2004 - ke@suse.de
- Remove spurious newlines from .desktop files; reported by Cornelius
  Schumacher [# 37838].
* Tue Mar 23 2004 - ke@suse.de
- Update to version 9.1.0.2.
* Fri Mar 19 2004 - ke@suse.de
- Update to version 9.1.0.0.
* Wed Mar 17 2004 - ke@suse.de
- Update for testing (9.0.0.91).
* Mon Mar 08 2004 - ke@suse.de
- Update for testing (9.0.0.90).
- Add desktop files.
- Use no-root for build.
* Tue Nov 11 2003 - ke@suse.de
- Adjust missing pictures; thanks to Thomas Schraitle, reported by
  Christoph Thiel [# 32850].
- Also translate two paragraphs,
* Thu Sep 18 2003 - ke@suse.de
- Update to 9.0.0.0b; fix by Thomas Schraitle.
* Tue Sep 16 2003 - ke@suse.de
- Use color PDF.
* Sat Sep 13 2003 - ro@suse.de
- remove CVS subdirs
* Fri Sep 12 2003 - ke@suse.de
- Update to version 9.0a.
* Thu Apr 24 2003 - ke@suse.de
- Fix printing problems concerning shell commands; provide an updated
  PDF file [# 26443].
* Fri Mar 14 2003 - ke@suse.de
- Add susebooks.css.
- Update to 82c; fix HTML problems, final cleanup.
- Enable post/preun scripts again.
* Wed Mar 12 2003 - ke@suse.de
- Update HTML files; general cleanup.
* Wed Mar 12 2003 - ke@suse.de
- Add PDF file as a subpackage.
- Mark source files as Nosource.
* Tue Mar 11 2003 - ke@suse.de
- Update to version 82a.
* Mon Mar 10 2003 - ke@suse.de
- Update to version 8.2.0.0.
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Wed Oct 30 2002 - ro@suse.de
- changed neededforbuild <l2h> to <latex2html>
* Thu Sep 12 2002 - mls@suse.de
- added cups-libs and openssl to neededforbuild
* Wed Sep 04 2002 - ke@suse.de
- Update to version 8.1.0.2d.
* Fri Aug 23 2002 - ke@suse.de
- Update to version 8.1.0.2c.
* Fri Aug 16 2002 - ke@suse.de
- Add PreReq [# 18000].
* Tue Aug 13 2002 - ke@suse.de
- Version 8.1.0.2a (still for testing).
- Shut up post scripts
* Wed Jul 17 2002 - ke@suse.de
- Version 8.1.0.2 (for testing).
- Fix %%ix86 macro usage.
* Thu Jul 04 2002 - ke@suse.de
- Version 8.1.0.1 (for testing).
- Use "ix86" instead of "i386" for conditionals.
* Fri Jun 28 2002 - ke@suse.de
- Update to version 8.1.0.0 (for testing).
* Sat Mar 23 2002 - kukuk@suse.de
- Add requires for icons
- add l2h-pngicons to neededforbuild
* Fri Mar 15 2002 - ke@suse.de
- Update to version 8.0.0.2.
- Enable HTML output; [# 13759].
* Mon Mar 04 2002 - ke@suse.de
- Update to version 8.0.0.1.
* Fri Feb 15 2002 - ke@suse.de
- Update to version 8.0.0.0.
* Sat Feb 02 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Sep 18 2001 - utuerk@suse.de
- up to 7.3.0.0
* Fri Sep 14 2001 - adrian@suse.de
- move conf files to susehelp package
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri May 18 2001 - ke@suse.de
- Update to version 7.2.0.2a.
* Thu May 03 2001 - utuerk@suse.de
- up to 7.2.0.2
- pdf-version is still not useable
* Thu May 03 2001 - kukuk@suse.de
- Fix spec file, never create empty RPMs, abort on all unsupported
  architectures.
* Thu May 03 2001 - utuerk@suse.de
- up to 7.2.0.1
* Mon Mar 12 2001 - ro@suse.de
- added liblcms to neededforbuild
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Wed Feb 14 2001 - gbrand@suse.de
- cp some pictures to its destination
* Wed Feb 14 2001 - ro@suse.de
- fixed setcolor.pl call
* Sun Feb 04 2001 - ro@suse.de
- fixed specfile another time
* Fri Feb 02 2001 - gbrand@suse.de
- conf-file had been changed (once again)
* Wed Jan 31 2001 - gbrand@suse.de
- conf-file had been changed
* Fri Jan 19 2001 - gbrand@suse.de
- rebuild
* Thu Jan 18 2001 - gbrand@suse.de
- changed some pics
* Wed Jan 17 2001 - gbrand@suse.de
- only html-output
* Wed Jan 17 2001 - gbrand@suse.de
- conf-file for susehelp has changed
* Tue Jan 16 2001 - gbrand@suse.de
- added html-output at ppc
* Tue Jan 16 2001 - gbrand@suse.de
- ppc does not build (fixed)
* Mon Jan 15 2001 - gbrand@suse.de
- first try
